Bug 10612 - set_printer(SPOOLSS_PRINTER_CONTROL_PURGE) doesn't purge print jobs
set_printer(SPOOLSS_PRINTER_CONTROL_PURGE) doesn't purge print jobs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-16 12:45 UTC by David Disseldorp
Modified: 2014-10-13 10:47 UTC (History)
1 user (show)

See Also:


Attachments
patch for 4.0.next, cherry-picked from master (1.86 KB, patch)
2014-05-22 09:43 UTC, David Disseldorp
ddiss: review? (jra)
asn: review+
Details
patch for 4.1.next, cherry-picked from master (1.86 KB, patch)
2014-05-22 09:44 UTC, David Disseldorp
ddiss: review? (jra)
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2014-05-16 12:45:39 UTC
Reported at SambaXP by Franz Pförtsch:

Selecting a printer and attempting to remove all jobs from the queue fails to delete the jobs.
The bug is in print_queue_purge(), which fails to pass the correct jobid to print_job_delete1().
Comment 1 David Disseldorp 2014-05-22 09:43:55 UTC
Created attachment 9966 [details]
patch for 4.0.next, cherry-picked from master
Comment 2 David Disseldorp 2014-05-22 09:44:17 UTC
Created attachment 9967 [details]
patch for 4.1.next, cherry-picked from master
Comment 3 Andreas Schneider 2014-05-22 13:07:38 UTC
Comment on attachment 9967 [details]
patch for 4.1.next, cherry-picked from master

Looks good to me!
Comment 4 Andreas Schneider 2014-05-22 13:08:47 UTC
Dave, thanks for fixing!

Karolin, please add the patches to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2014-05-27 19:17:47 UTC
(In reply to comment #4)
> Dave, thanks for fixing!
> 
> Karolin, please add the patches to the relevant branches. Thanks!

Pushed to autobuild-v4-[0|1]-test.
Comment 6 Karolin Seeger 2014-06-03 06:53:24 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Dave, thanks for fixing!
> > 
> > Karolin, please add the patches to the relevant branches. Thanks!
> 
> Pushed to autobuild-v4-[0|1]-test.

Pushed to v4-1-test.
autobuild-v4-0-test failed, re-trying.
Comment 7 Karolin Seeger 2014-06-10 09:06:11 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Dave, thanks for fixing!
> > > 
> > > Karolin, please add the patches to the relevant branches. Thanks!
> > 
> > Pushed to autobuild-v4-[0|1]-test.
> 
> Pushed to v4-1-test.
> autobuild-v4-0-test failed, re-trying.

Pushed to both branches.
Closing out bug report.

Thanks!